<!-- 营收分析 -->
<template>
	<view class="revenue">
		<template v-if="type === 'line'">
			<view class="revenue-line" v-loading="loading">
				<LineChart v-if="chartData.series[0].data.length" :chartData="chartData" :title="title"/>
				<view class="empty" v-else>
					<u-empty></u-empty>
				</view>
			</view>
		</template>
		<template v-else>
			<view class="revenue-line" v-loading="loading">
				<ColumnChart v-if="chartData.series[0].data.length" :chartData="chartData" :title="title"/>
				<view class="empty" v-else>
					<u-empty></u-empty>
				</view>
			</view>
		</template>
	</view>
</template>

<script>
	import LineChart from '@/components/lineChart.vue'
	import ColumnChart from '@/components/columnChart.vue'
	export default {
		components: {
			LineChart,
			ColumnChart
		},
		props: {
			type: {
				type: String,
				default: 'line'
			},
			title: {
				type: String,
				default: ''
			},
			params: {
				type: Object,
				default: () => {}
			}
		},
		data() {
			return {
				chartData: {
					categories: [],
					series: [{
						name: '',
						data: []
					}]
				},
				loading: false
			}
		},
		methods: {
			/**
			 * 获取数据
			 */
			getData({ reportType, queryDate }) {
				this.loading = true
				uni.$u.api.operationalAnalysisApi.getRevenueDataApi({ reportType, queryDate }).then(res => {
					if (res.code === 200) {
						if (res.data.itemList && res.data.itemList.length) {
							this.chartData.categories = res.data.itemList.map(item => {
								return item.statisTime
							})
							this.chartData.series[0].data = res.data.itemList.map(item => {
								return item.amt
							})
						} else {
							this.chartData.categories = []
							this.chartData.series[0].data = []
						}
					}
					this.loading = false
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.revenue {
		background-color: #fff;
		border-radius: 5px;
		.empty {
			padding: 15px;
		}
	}
</style>
